module.exports = function(sequelize, DataTypes) {
  return sequelize.define("Moneylines", {
    gameID: { type: DataTypes.INTEGER, primaryKey: true },
    bookID: { type: DataTypes.INTEGER, primaryKey: true },
    pollTime: { type: DataTypes.INTEGER, primaryKey: true },
    team: { type: DataTypes.STRING(3), primaryKey: true },
    opponent: DataTypes.STRING(3),
    teamScore: DataTypes.INTEGER,
    opponentScore: DataTypes.INTEGER,
    odds: DataTypes.DECIMAL(8, 4),
    opponentOdds: DataTypes.DECIMAL(8, 4),
    winner: DataTypes.STRING(3),
    date: DataTypes.INTEGER,
    gameTime: DataTypes.INTEGER,
    bookName: DataTypes.STRING,
    location: DataTypes.STRING(4),
  }, { 
    tableName: 'Moneylines'+global.halcyonSingleton.season+''
  });
};

/*
show columns in Moneylines20122013;
+---------------+-------------+------+-----+---------+-------+
| Field         | Type        | Null | Key | Default | Extra |
+---------------+-------------+------+-----+---------+-------+
| gameID        | int(11)     | YES  |     | NULL    |       |
| date          | int(11)     | YES  |     | NULL    |       |
| pollTime      | int(11)     | YES  |     | NULL    |       |
| gameTime      | int(11)     | YES  |     | NULL    |       |
| team          | text        | YES  |     | NULL    |       |
| teamScore     | int(11)     | YES  |     | NULL    |       |
| odds          | double(8,4) | YES  |     | NULL    |       |
| opponent      | text        | YES  |     | NULL    |       |
| opponentScore | int(11)     | YES  |     | NULL    |       |
| opponentOdds  | double(8,4) | YES  |     | NULL    |       |
| winner        | text        | YES  |     | NULL    |       |
| bookName      | text        | YES  |     | NULL    |       |
+---------------+-------------+------+-----+---------+-------+
*/