var path = require('path')
  , Models = require(path.join(__dirname,'..','models'))
  , getDBConnection = require(path.join(__dirname,'getDBConnection'))
  , misc = require(path.join(__dirname,'misc'));

function getDBOptions(options) {
  var defaults = {
    database: 'halcyonnhl',
    host: 'localhost',
    user: 'root',
    password: 'password',
    port: 3306,
    directory: undefined
  };

  if (!options) {
    return defaults;
  }

  var retOptions = {}
    , copy = {};

  if (options.host || options.database || options.user || options.password || options.connectionLimit || options.port || options.directory)
    copy = options;

  for (var prop in defaults) {
    retOptions[prop] = (copy[prop] ? copy[prop] : defaults[prop]);
  }

  return retOptions;
}

module.exports = function(season, options) {
  options = getDBOptions(options);

  global.halcyonSingleton = new HalcyonSingleton(season, options);

  global.halcyonSingleton.models = Models();
}

class HalcyonSingleton {
  constructor(season, options) {
    this.season = season;
    this.DBOptions = options;
    this.getDB = getDBConnection;
    this.dataDirectory = options.directory;
    this.models = false;
    this.gameID = -1;

    this.debug = false;
  }

  getModels(season) {
    var seasonWhenFunctionCalled = this.season;

    this.season = season;

    var models = Models();

    this.season = seasonWhenFunctionCalled;

    return models;
  }

  setSeason(season) {
    if (misc.isValidSeason(season))
      this.season = season;
  }
}